Bug 1974447 - Requirements for nvidia GPU driver container for driver toolkit
Summary: Requirements for nvidia GPU driver container for driver toolkit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Special Resource Operator
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.8.0
Assignee: Zvonko Kosic
QA Contact: Lena Horsley
URL:
Whiteboard:
Depends On: 1974429
Blocks: 1976302
TreeView+ depends on / blocked
 
Reported: 2021-06-21 17:30 UTC by dagray
Modified: 2021-07-27 23:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1974429
Environment:
Last Closed: 2021-07-27 23:13:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift driver-toolkit pull 38 0 None open [Release 4.8] Bug 1974447: Cherry pick gcc to release 4.8 2021-06-21 17:31:31 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:13:37 UTC

Description dagray 2021-06-21 17:30:49 UTC
+++ This bug was initially created as a clone of Bug #1974429 +++

The NVIDIA GPU operator currently requires entitlements to build the driver container, but the driver-toolkit could be used to prevent this. The problem is that the driver-toolkit is currently missing the gcc package needed for this driver-container. This is needed for RHODS.

The fix is to install gcc, specifically the version used to compile the kernel when available.

--- Additional comment from  on 2021-06-21 17:15:19 UTC ---

For 4.9, fixed in these PRs:
- https://github.com/openshift/driver-toolkit/pull/31/files
- https://github.com/openshift/driver-toolkit/pull/36/files

Comment 3 Lena Horsley 2021-06-25 18:24:13 UTC
Verified in build: 4.8.0-0.nightly-2021-06-23-232238

1. Go to the OpenShift release nightly build page for the nightly build, click "Download the installer," and then click "release.txt."


2. Search for "driver-toolkit" and pull the corresponding image to your dev machine with the command:
podman pull --authfile /path/to/pullsecret <openshift_release_repo>/<corresponding_image_to_your_dev_machine>


3. Enter the following command from the terminal:
podman run <image_from_previous_step> dnf list installed | grep gcc


=====================================
Output from the command in step #3:

gcc.x86_64                                    8.4.1-1.el8                          @rhel-8-appstream-rpms-x86_64
libgcc.x86_64                                 8.4.1-1.el8                          @System

Comment 5 errata-xmlrpc 2021-07-27 23:13:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.